<script setup lang="ts">
const router = useRouter()
const { t } = useI18n()
onBeforeMount(() => {
  router.currentRoute.value.path === '/index.html' && router.push('/') // redirect to home page & fix pywebview issue
})
</script>

<template>
  <main p="x4 y10" text="center  dark:gray-200">
    <div text-4xl>
      <div i-carbon-warning inline-block />
    </div>
    <RouterView />
    <div>
      <button class="btn btn-primary btn-sm" text-sm m="3 t8" @click="router.back">
        {{ t('button.back') }}
      </button>
    </div>
  </main>
</template>
